# TdApi.CreateSupergroupChat (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: CreateSupergroupChat

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CreateSupergroupChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Chat>
it.tdlight.jni.TdApi.CreateSupergroupChat

Enclosing class:
  TdApi

public static final class TdApi.CreateSupergroupChat extends TdApi.Function<TdApi.Chat>
Returns an existing chat corresponding to a known supergroup or channel.

Returns `Chat`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`force`
Pass true to create the chat without a network request.
`long`
`supergroupId`
Supergroup or channel identifier.

## Constructor Summary

Constructors
Constructor
Description
`CreateSupergroupChat()`
Returns an existing chat corresponding to a known supergroup or channel.
`CreateSupergroupChat(long supergroupId, boolean force)`
Returns an existing chat corresponding to a known supergroup or channel.
`CreateSupergroupChat(DataInput input)`
Returns an existing chat corresponding to a known supergroup or channel.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### supergroupId

public long supergroupId
Supergroup or channel identifier.

### force

public boolean force
Pass true to create the chat without a network request. In this case all information about the chat except its type, title and photo can be incorrect.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### CreateSupergroupChat

public CreateSupergroupChat()
Returns an existing chat corresponding to a known supergroup or channel.

Returns `Chat`

### CreateSupergroupChat

public CreateSupergroupChat(long supergroupId, boolean force)
Returns an existing chat corresponding to a known supergroup or channel.

Returns `Chat`

Parameters:
  `supergroupId` - Supergroup or channel identifier.
  `force` - Pass true to create the chat without a network request. In this case all information about the chat except its type, title and photo can be incorrect.

  Returns `Chat`

### CreateSupergroupChat

public CreateSupergroupChat(DataInput input) throws IOException
Returns an existing chat corresponding to a known supergroup or channel.

Returns `Chat`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`